<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- $Id: resc2html.xsl,v 1.8 2001/04/26 16:14:29 troncy Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:esc="http://escrire.inrialpes.fr/">

  <xsl:import href="http://escrire.inrialpes.fr/xsl/xmlverbatim.xsl" />

  <xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" />

  <!-- CSS Stylesheet -->
  <xsl:param name="css-stylesheet" select="'http://barbara.inrialpes.fr/xslt/xmlverbatim.css'" />

  <!-- root -->
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="esc:resc">
    <html>
      <head>
	<title>Escrire query Results</title>
	<link rel="stylesheet" type="text/css" href="{$css-stylesheet}" />
      </head>
      <body bgcolor="white">
	<h1>Your query was :</h1>
	<xsl:apply-templates select="esc:query"/>
	<hr />
	<xsl:apply-templates select="esc:result"/>
	<hr />
	<address>Generated by <a href="http://escrire.inrialpes.fr">Escrire interface</a></address>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="esc:query">
    <tt>
      <xsl:apply-templates select="." mode="xmlverb" />
    </tt>
  </xsl:template>

  <xsl:template match="esc:result">
    <h1><xsl:value-of select="@total"/> answers found for <xsl:value-of select="@documents"/> documents</h1>
    <dl><xsl:apply-templates/></dl>
  </xsl:template>

  <xsl:template match="esc:answer">
    <dt><xsl:apply-templates select="esc:vref"/></dt>
      <dd><ul compact="1">
       <xsl:apply-templates select="esc:docref"/>
     </ul></dd>
  </xsl:template>

  <xsl:template match="esc:vref">
    <xsl:value-of select="text()"/><xsl:text> </xsl:text>
  </xsl:template>

  <xsl:template match="esc:docref">
    <li><a href="{@href}"><xsl:value-of select="@href"/></a></li>
  </xsl:template>

</xsl:stylesheet>
